Bug 839744 - Review Request: perl-Rose-DateTime - DateTime helper functions and objects
Summary: Review Request: perl-Rose-DateTime - DateTime helper functions and objects
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 839742
Blocks: 839751 839754
TreeView+ depends on / blocked
 
Reported: 2012-07-12 17:44 UTC by Bill Pemberton
Modified: 2014-08-01 16:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 839742
Environment:
Last Closed: 2012-08-09 22:56:41 UTC
jplesnik: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Bill Pemberton 2012-07-12 17:44:11 UTC
Spec URL: http://wfp.fedorapeople.org/perl-Rose-DateTime.spec
SRPM URL: http://wfp.fedorapeople.org/perl-Rose-DateTime-0.537-2.fc17.src.rpm

Description: 
The Rose::DateTime::* modules provide a few convenience functions and
objects for use with DateTime dates.

This requires Rose::Object

Fedora Account System Username: wfp

Comment 2 Jitka Plesnikova 2012-07-24 07:55:38 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: MUST Buildroot is not present
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[-]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[!]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[!]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


TODO:
* Remove DateTime and Rose::Object from Requires: to clean up duplicity
  $ rpm -qp --requires perl-Rose-DateTime-0.537-3.fc18.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.16.0)
      1 perl(Carp)
      2 perl(DateTime)
      1 perl(DateTime::Infinite)
      1 perl(Exporter)
      2 perl(Rose::Object)
      1 perl(strict)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1

* Add to BuildRequires
  perl(Test::More) -- ./t/parser.t:5, ./t/locale.t:5, ...
  perl(Test::Pod) >= 1.00 -- ./t/pod.t:7
  perl(Exporter) -- ./lib/Rose/DateTime/Util.pm:10

Please update the update the requires in spec.

Package is APPROVED

I was able to build the package only for rawhide (Fedora 18) on koji.
The build failed for Fedora 17, because perl-Rose-Object is not in
repository yet. 
I am not sure, but you should probably commit it when testing of perl-Rose-Object finish for Fedora 16/17.




Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
External plugins:

Comment 3 Bill Pemberton 2012-07-24 13:47:58 UTC
perl-Rose-Object (and it's requirements) are not yet in Fedora 16 and 17 because they've not yet aged long enough in testing.  It's going to make the rest of the packages a low process as we wait a week for each one to clear.

Comment 4 Bill Pemberton 2012-07-24 13:55:43 UTC
New Package SCM Request
=======================
Package Name: perl-Rose-DateTime
Short Description: DateTime helper functions and objects
Owners: wfp
Branches: f16 f17 el6
InitialCC: perl-sig

Comment 5 Gwyn Ciesla 2012-07-24 14:19:46 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2012-07-30 13:39:58 UTC
perl-Rose-DateTime-0.537-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Rose-DateTime-0.537-4.fc17

Comment 7 Fedora Update System 2012-07-30 13:47:10 UTC
perl-Rose-DateTime-0.537-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Rose-DateTime-0.537-4.fc16

Comment 8 Fedora Update System 2012-07-30 22:25:22 UTC
perl-Rose-DateTime-0.537-4.fc16 has been pushed to the Fedora 16 testing repository.

Comment 9 Fedora Update System 2012-08-07 12:56:08 UTC
perl-Rose-DateTime-0.537-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Rose-DateTime-0.537-4.el6

Comment 10 Fedora Update System 2012-08-09 22:56:41 UTC
perl-Rose-DateTime-0.537-4.fc16 has been pushed to the Fedora 16 stable repository.

Comment 11 Fedora Update System 2012-08-09 23:16:11 UTC
perl-Rose-DateTime-0.537-4.fc17 has been pushed to the Fedora 17 stable repository.

Comment 12 Fedora Update System 2012-08-23 17:02:32 UTC
perl-Rose-DateTime-0.537-4.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 13 Bill Pemberton 2014-07-31 19:47:40 UTC
Package Change Request
=======================
Package Name: perl-Rose-DateTime
Short Description: Simple object base class
Owners: wfp
Branches: el7

Comment 14 Gwyn Ciesla 2014-08-01 16:07:33 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.